## net.i2p.router
Class TunnelSelectionCriteria

    java.lang.Object
      net.i2p.router.TunnelSelectionCriteria

    public class TunnelSelectionCriteria

extends java.lang.Object

Set of criteria for finding a tunnel from the Tunnel Manager

Field Summary
`static int` `MAX_PRIORITY`
`static int` `MIN_PRIORITY`

Constructor Summary
`TunnelSelectionCriteria()`

Method Summary
`int` `getAnonymityPriority()` priority of the anonymity for the tunnel
`int` `getLatencyPriority()` priority of the latency for the tunnel
`int` `getMaximumTunnelsRequired()` max # of tunnels to return
`int` `getMinimumTunnelsRequired()` minimum # of tunnels to return
`int` `getReliabilityPriority()` priority of the reliability for the tunnel
`void` `setAnonymityPriority(int anonPriority)`
`void` `setLatencyPriority(int latencyPriority)`
`void` `setMaximumTunnelsRequired(int maxNeeded)`
`void` `setMinimumTunnelsRequired(int minNeeded)`
`void` `setReliabilityPriority(int reliabilityPriority)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_PRIORITY

    public static final int MAX_PRIORITY

See Also:
  Constant Field Values

### MIN_PRIORITY

    public static final int MIN_PRIORITY

See Also:
  Constant Field Values

Constructor Detail

### TunnelSelectionCriteria

    public TunnelSelectionCriteria()

Method Detail

### getLatencyPriority

    public int getLatencyPriority()

  priority of the latency for the tunnel

### setLatencyPriority

    public void setLatencyPriority(int latencyPriority)

### getAnonymityPriority

    public int getAnonymityPriority()

  priority of the anonymity for the tunnel

### setAnonymityPriority

    public void setAnonymityPriority(int anonPriority)

### getReliabilityPriority

    public int getReliabilityPriority()

  priority of the reliability for the tunnel

### setReliabilityPriority

    public void setReliabilityPriority(int reliabilityPriority)

### getMaximumTunnelsRequired

    public int getMaximumTunnelsRequired()

  max # of tunnels to return

### setMaximumTunnelsRequired

    public void setMaximumTunnelsRequired(int maxNeeded)

### getMinimumTunnelsRequired

    public int getMinimumTunnelsRequired()

  minimum # of tunnels to return

### setMinimumTunnelsRequired

    public void setMinimumTunnelsRequired(int minNeeded)